Skip to main content
GET
/
authenticators
Get Authenticator Configurations
curl --request GET \
  --url https://api.authsignal.com/v1/client/authenticators \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.authsignal.com/v1/client/authenticators"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.authsignal.com/v1/client/authenticators', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "authenticatorId": "authenticator_123",
    "isActive": true,
    "verificationMethod": "SMS",
    "smsChannel": "WHATSAPP"
  }
]
{
  "error": "<string>",
  "errorDescription": "<string>",
  "errorCode": "<string>"
}

Authorizations

Authorization
string
header
required

Use a short-lived token obtained from the Server API's Track Action endpoint. The token is valid for 10 minutes and should be passed in the Authorization header as 'Bearer {token}'.

Response

OK

authenticatorId
string
required

The ID of the authenticator configuration.

verificationMethod
enum<string>
required
Available options:
SMS,
AUTHENTICATOR_APP,
EMAIL_MAGIC_LINK,
EMAIL_OTP,
PUSH,
DEVICE,
SECURITY_KEY,
PASSKEY,
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR,
IDVERSE
isActive
boolean
required

Determines whether the authenticator configuration is currently active/enabled.

isEditableByUser
boolean

Determines whether the user is able to edit the authenticator in the pre-built UI.

isHiddenToUser
boolean

Determines whether the authenticator in hidden in the pre-built UI.

smsChannel
enum<string>

For SMS authenticator configurations only. If set to DEFAULT, only regular SMS is allowed. If set to WHATSAPP, both regular SMS and WhatsApp messages are allowed.

Available options:
DEFAULT,
WHATSAPP